﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using System.Text;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            WebDataGrid1.DataSource = new TestData().GetData();

            StringBuilder cssSylesBuilder = new StringBuilder();
            cssSylesBuilder.Append(".BG1 {background-color: red !important;}");
            cssSylesBuilder.Append(".BG2 {background-color: blue !important;}");
            cssSylesBuilder.Append(".BG3 {background-color: green !important;}");
            Page.ClientScript.RegisterClientScriptBlock(
                this.GetType(), 
                "MyCss", 
                "var cssStyles = '" + cssSylesBuilder.ToString() + "'", 
                true);
        }
    }
    protected void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
    {

        if ((int)e.Row.DataKey[0] >= 0 &&
            (int)e.Row.DataKey[0] < 3)
        {
            for (int i = 0; i < e.Row.Items.Count; i++)
            {
                e.Row.Items[i].CssClass = "BG1";
            }
        }
        else if ((int)e.Row.DataKey[0] >= 3 &&
            (int)e.Row.DataKey[0] < 6)
        {
            for (int i = 0; i < e.Row.Items.Count; i++)
            {
                e.Row.Items[i].CssClass = "BG2";
            }
        }
        else
        {
            for (int i = 0; i < e.Row.Items.Count; i++)
            {
                e.Row.Items[i].CssClass = "BG3";
            }
        }
    }
}
